curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"seller": "e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-reviews"
payload = {
"seller": "e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
seller: 'e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})',
max_items: 2
})
};
fetch('https://api.neuralverge.ai/functions/v1/run-yahoo-auctions-sellers-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "yahoo_auctions_seller_reviews",
"seller": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"seller_id": "8bdaxRiVapnRAmjjt2iWjM9wQzLXU",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Yahoo! Auctions seller reviews\n\n- **seller:** 8bdaxRiVapnRAmjjt2iWjM9wQzLXU\n- **seller_id:** 8bdaxRiVapnRAmjjt2iWjM9wQzLXU\n- **max_items:** 2\n- **start_page:** 1\n- **Records returned:** 2\n- **Proxy traffic:** 23.1 KB",
"machine": {
"total_items": 2,
"first_item": {
"rating": "very_good",
"rating_label": "非常に良い 出品者です。",
"role": "as_seller",
"author": "ast********",
"author_rating_count": 78,
"item_id": "j1244909667",
"item_title": "■未開栓 グランド オールドパー デラックス 12年 Grand Old Parr De Luxe 750ml 43% 旧ボトル スコッチ ウイスキー 古酒【買取まねきや】",
"item_url": "https://auctions.yahoo.co.jp/jp/auction/j1244909667",
"text": "ありがとうございました。とても良い取引ができました。また機会がありましたら、よろしくお願いいたします。",
"rated_at_label": "1週間以内"
},
"items": [
{
"rating": "very_good",
"rating_label": "非常に良い 出品者です。",
"role": "as_seller",
"author": "ast********",
"author_rating_count": 78,
"item_id": "j1244909667",
"item_title": "■未開栓 グランド オールドパー デラックス 12年 Grand Old Parr De Luxe 750ml 43% 旧ボトル スコッチ ウイスキー 古酒【買取まねきや】",
"item_url": "https://auctions.yahoo.co.jp/jp/auction/j1244909667",
"text": "ありがとうございました。とても良い取引ができました。また機会がありましたら、よろしくお願いいたします。",
"rated_at_label": "1週間以内"
},
{
"rating": "very_good",
"rating_label": "非常に良い 出品者です。",
"role": "as_seller",
"author": "Nobutan",
"author_rating_count": 250,
"item_id": "j1245196376",
"item_title": "■SEIKO セイコー CASIO カシオ Baby-G CITIZEN 他 腕時計 まとめ 総重量約0.67㎏(袋の重さ含む) 計15点【買取まねきや】",
"item_url": "https://auctions.yahoo.co.jp/jp/auction/j1245196376",
"text": "ありがとうございました。とても良い取引ができました。また機会がありましたら、よろしくお願いいたします。",
"rated_at_label": "1週間以内"
}
],
"proxy_traffic_bytes": 23640
},
"total_points": 2
}Yahoo! Auctions seller reviews
Feedback comments left for a Yahoo! Auctions Japan seller: verdict, author, auction, comment text and relative date; filter by role and verdict. 1 point per returned record.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Seller ID or seller page URL. e.g. e.g. 8bdaxRiVapnRAmjjt2iWjM9wQzLXU (the token in /seller/{id})
Max items (up to 500)
0 <= x <= 500Starting page
x >= 0Role. Options: as_seller = Received while selling, as_buyer = Received while buying
as_seller, as_buyer Verdict. Options: positive = Positive, neutral = Neutral, negative = Negative
positive, neutral, negative Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.